// 数组引用的方法二
#include <iostream>

using namespace std;

int main()
{
    int arr[5] = {1, 2, 3, 4, 5};

    // 直接定义 5 个元素数组类型的引用
    int(&a)[5] = arr;

    // 通过别名操作数组
    for (int i = 0; i < 5; i++)
    {
        cout << a[i] << " ";
    }
    cout << endl;

    return 0;
}
